Stop using and deprecate ENGINE_setup_bsd_cryptodev
[openssl.git] / include / openssl / engine.h
index e9d3ab244a033997a8df507f91e174e574622882..f359c9ee573dc98fc0d3970705038e18a0672cc6 100644 (file)
@@ -746,7 +746,7 @@ typedef int (*dynamic_bind_engine) (ENGINE *e, const char *id,
 void *ENGINE_get_static_state(void);
 
 # if defined(__OpenBSD__) || defined(__FreeBSD__) || defined(HAVE_CRYPTODEV)
-void ENGINE_setup_bsd_cryptodev(void);
+DEPRECATEDIN_1_1_0(void ENGINE_setup_bsd_cryptodev(void))
 # endif
 
 /* BEGIN ERROR CODES */